Subject: bug#25525: 25.1.90; add color highlighting to css mode

From: Simen Heggestøyl <[email-masked]>
Date: Sat, 04 Mar 2017 19:46:31 +0100

On Sat, Mar 4, 2017 at 6:55 PM, Tom Tromey <[email-masked]> wrote:
> I was able to reproduce the problem and I think I found the bug:
> css--fontify-region was not respecting any region extension done by
> font-lock-default-fontify-region, but this is what extended
> fontification to include the whole line containing point when 
> searching.
> 
> Please try this version.

Nice, that seems to have fixed the bug!

I found another one: in SCSS mode, when using the `rgba` function
where one argument is a variable, subsequent colors aren't
highlighted. An example:

  body {
      color: #ddd;
      color: rgba($color-var, 1);
      color: #abc;  // Not highlighted
  }

There is also a test failure when you rebase the patch on the latest
master due to the changes in 7b00e956b4. It can be fixed by passing 2
as the last argument to `color-rgb-to-hex' in `css--hsl-color'.

-- Simen